<%@ Page Language="c#" CodeFile="Default.aspx.cs" Inherits="_Default" meta:resourcekey="PageResource1" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/tr/xhtml11/dtd/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .headingText
        {
            font-size: 18pt;
            font-weight: bold;
            text-decoration: underline;
        }
        .topBar
        {
            border: solid 2px #555555;
            text-align: center;
            background-color: #aaaaaa;
            padding-bottom: 10px;
        }
        .wrapper
        {
            background-color: #333333;
            width: 100%;
            height: 550px;
            border: solid 2px black;
        }
    </style>
</head>
<body>
    <form id="Form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">

        <script type="text/javascript">
            function PrintRadGrid(radGrid)
            {
                setTimeout(function()
                {
                    var previewWnd = window.open('about:blank', '', '', false);
                    var styleStr = "<html><head><link href='Styles.css' rel='stylesheet' type='text/css'></link></head>";
                    var htmlcontent = styleStr + "<body>" + $find(radGrid).get_element().outerHTML + "</body></html>";
                    previewWnd.document.open();
                    previewWnd.document.write(htmlcontent);
                    previewWnd.document.close();
                    previewWnd.print();
                    previewWnd.close();
                }, 100);
            }
        </script>

    </telerik:RadCodeBlock>
    <div class="wrapper">
        <div class="topBar">
            <p class="headingText">
                <asp:LinkButton ID="LinkButton1" runat="server" type="button" Text="[ Print Grid ]"
                    Font-Underline="false" ForeColor="Black" OnClick="LinkButton1_Click" /></p>
            This code-library demonstrates how to print RadGrid without surrounding content<br />
        </div>
        <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server">
            <telerik:RadGrid ID="radGrid1" runat="server" Skin="Simple" DataSourceID="SqlDataSource1"
                Style="margin: 20px;" AllowPaging="True" AllowSorting="True" AllowFilteringByColumn="True" PageSize="9"
                GridLines="None">
            </telerik:RadGrid>
        </telerik:RadAjaxPanel>
    </div>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        SelectCommand="SELECT [ProductID], [ProductName], [QuantityPerUnit], [UnitPrice], [UnitsOnOrder], [ReorderLevel], [Discontinued] FROM [Products]">
    </asp:SqlDataSource>
    </form>
</body>
</html>